Langsung ke konten utama
POST
/
runway
/
pro
/
act_one
Act-one Expression Migration
curl --request POST \
  --url https://api.cometapi.com/runway/pro/act_one \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "video": "http://runwaycdn.rixapi.com/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4",
  "image": "https://db.xiaohuhd.com/1.jpeg",
  "callback_url": "http://baidu.com"
}
'
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "task_id": "<string>"
  },
  "exec_time": 123
}
Gunakan endpoint ini untuk mentransfer ekspresi atau performa dari video sumber ke gambar terpisah melalui wrapper reverse-format Runway.

Batasan saat ini

  • Rute ini saat ini hanya mendukung aset sumber 16:9
  • Anda memerlukan video sumber dan image target
  • Mulailah dengan klip sumber yang pendek dan stabil sebelum Anda menyesuaikan workflow lebih lanjut

Alur tugas

1

Buat tugas act-one

Kirim video sumber, gambar target, serta pengaturan callback atau pelacakan, lalu simpan id tugas yang dikembalikan.
2

Poll tugas

Lanjutkan dengan Feed Get Task hingga wrapper mencapai status terminal.
3

Simpan hasil

Simpan output akhir di pipeline media Anda sendiri jika Anda memerlukan akses yang tahan lama.

Otorisasi

Authorization
string
header
wajib

Bearer token authentication. Use your CometAPI key.

Header

X-Runway-Version
string

Optional Runway version header, for example 2024-11-06.

Body

application/json
video
string
default:http://runwaycdn.rixapi.com/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4
wajib

URL of the source video containing the performance to transfer.

image
string
default:https://db.xiaohuhd.com/1.jpeg
wajib

URL of the target image whose character will receive the expression.

callback_url
string
default:https://example.com/webhook
wajib

Webhook URL that receives a POST request with the result when the task completes.

Respons

200 - application/json

OK

code
integer
wajib

HTTP status code

msg
string
wajib

Text description of the request result

data
object
wajib

Object containing specific response data.

exec_time
number
wajib

Time spent by the server processing this request